# use upstream hardening flags instead of ours
# https://github.com/keithw/mosh/issues/203#issuecomment-5167309
%define _ssp_cflags	-fstack-protector-all --param ssp-buffer-size=1

Name:		mosh
Version:	1.2.4
Release:	%mkrel 1
Summary:	Mobile shell that supports roaming and intelligent local echo

License:	GPLv3+
Group:		Networking/Remote access
URL:		http://mosh.mit.edu/
Source0:	http://mosh.mit.edu/%{name}-%{version}.tar.gz
BuildRequires:	protobuf-compiler
BuildRequires:	protobuf-devel
BuildRequires:	libutempter-devel
BuildRequires:	boost-devel
BuildRequires:	zlib-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig(openssl)
Requires:	openssh-clients

%description
Mosh is a remote terminal application that supports:
  - intermittent network connectivity,
  - roaming to different IP address without dropping the connection, and
  - intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.

%prep
%setup -q

%build
%configure2_5x \
	--enable-compile-warnings=error
%make

%install
%makeinstall_std

%files
%doc README.md ChangeLog
%{_bindir}/mosh*
%{_mandir}/man1/mosh*


%changelog
* Fri Sep 27 2013 sander85 <sander85> 1.2.4-1.mga5
+ Revision: 487917
- New version: 1.2.4

* Wed Jul 10 2013 fwang <fwang> 1.2.3-3.mga4
+ Revision: 452407
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 360282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 wally <wally> 1.2.3-1.mga3
+ Revision: 330361
- new version 1.2.3
- drop upstream applied CVE patch
- use upstream hardening flags instead of ours
- clean .spec a bit

* Wed Jun 27 2012 luigiwalser <luigiwalser> 1.1.3-2.mga3
+ Revision: 264230
- add upstream patch to fix CVE-2012-2385

* Wed Apr 11 2012 boklm <boklm> 1.1.3-1.mga2
+ Revision: 230221
- update to version 1.1.3
- update files list
- use make and makeinstall_std macros
- update release and group tags
- imported package mosh


* Mon Mar 26 2012 Alexander Chernyakhovsky <achernya@mit.edu> - 1.1.1-1
- Update to mosh 1.1.1.

* Wed Mar 21 2012 Alexander Chernyakhovsky <achernya@mit.edu> - 1.1-1
- Initial packaging for mosh.
